using UnityEngine;
using System.Collections;

public class NPC_AI : MonoBehaviour {
    public int emote = 0;

	// Use this for initialization
	void Start () {
		StartCoroutine(EditorOnChange());
	}

	public IEnumerator EditorOnChange()
	{
		var anim = GetComponentInChildren<Animator>();
		var emoteHash = Animator.StringToHash("emote");
		anim.SetInteger(emoteHash, 0);
		yield return null;
		anim.SetInteger(emoteHash, emote);
	}
}
